Index: issm/trunk/test/NightlyRun/test505.m
===================================================================
--- issm/trunk/test/NightlyRun/test505.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test505.m	(revision 18301)
@@ -8,6 +8,6 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', ...
-				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2'};
+field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', ...
+				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2'};
 field_tolerances={1e-12,1e-12,3e-10,1e-12,1e-13,1e-11,5e-12,9e-12,1e-13,5e-9,...
 						5e-11,5e-11,1e-10,2e-11,7e-12,1e-11,1e-11,5e-12,1e-11,2e-8};
@@ -22,5 +22,5 @@
 	(md.results.TransientSolution(1).Thickness),...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).Vx),...
 	(md.results.TransientSolution(2).Vy),...
@@ -32,4 +32,4 @@
 	(md.results.TransientSolution(2).Thickness),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test505.py
===================================================================
--- issm/trunk/test/NightlyRun/test505.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test505.py	(revision 18301)
@@ -17,6 +17,6 @@
 
 # Fields and tolerances to track changes
-field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', \
-				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2']
+field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', \
+				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2']
 field_tolerances=[1e-12,1e-12,1e-10,1e-12,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13, \
 						1e-13,1e-12,1e-10,1e-12,1e-13,1e-11,1e-11,2e-12,1e-11,1e-8]
@@ -31,5 +31,5 @@
 	md.results.TransientSolution[0].Thickness,\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[1].Vx,\
 	md.results.TransientSolution[1].Vy,\
@@ -41,4 +41,4 @@
 	md.results.TransientSolution[1].Thickness,\
 	md.results.TransientSolution[1].Temperature,\
-	md.results.TransientSolution[1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[1].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test506.m
===================================================================
--- issm/trunk/test/NightlyRun/test506.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test506.m	(revision 18301)
@@ -8,6 +8,6 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', ...
-				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2'};
+field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', ...
+				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2'};
 field_tolerances={1e-10,1e-10,1e-10,1e-10,1e-12,1e-11,2e-12,1e-11,1e-12,1e-09,...
 						1e-11,1e-11,1e-09,1e-11,1e-11,1e-10,1e-11,1e-10,1e-11,2e-08};
@@ -22,5 +22,5 @@
 	(md.results.TransientSolution(1).Thickness),...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).Vx),...
 	(md.results.TransientSolution(2).Vy),...
@@ -32,4 +32,4 @@
 	(md.results.TransientSolution(2).Thickness),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test506.py
===================================================================
--- issm/trunk/test/NightlyRun/test506.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test506.py	(revision 18301)
@@ -17,6 +17,6 @@
 
 # Fields and tolerances to track changes
-field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', \
-				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2']
+field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', \
+				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2']
 field_tolerances=[1e-10,1e-10,1e-10,1e-10,1e-12,1e-11,2e-12,1e-11,1e-12,1e-09,\
 						1e-11,1e-11,1e-09,1e-11,1e-11,1e-10,1e-11,1e-10,1e-11,2e-08]
@@ -31,5 +31,5 @@
 	md.results.TransientSolution[0].Thickness,\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[1].Vx,\
 	md.results.TransientSolution[1].Vy,\
@@ -41,4 +41,4 @@
 	md.results.TransientSolution[1].Thickness,\
 	md.results.TransientSolution[1].Temperature,\
-	md.results.TransientSolution[1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[1].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test507.m
===================================================================
--- issm/trunk/test/NightlyRun/test507.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test507.m	(revision 18301)
@@ -8,6 +8,6 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', ...
-				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2'};
+field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', ...
+				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2'};
 field_tolerances={1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06,3e-06,1e-06};
 field_values={...
@@ -21,5 +21,5 @@
 	(md.results.TransientSolution(1).Thickness),...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).Vx),...
 	(md.results.TransientSolution(2).Vy),...
@@ -31,4 +31,4 @@
 	(md.results.TransientSolution(2).Thickness),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test507.py
===================================================================
--- issm/trunk/test/NightlyRun/test507.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test507.py	(revision 18301)
@@ -17,6 +17,6 @@
 
 # Fields and tolerances to track changes
-field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', \
-				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2']
+field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', \
+				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2']
 field_tolerances=[1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06,1e-06]
 field_values=[\
@@ -30,5 +30,5 @@
 	md.results.TransientSolution[0].Thickness,\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[1].Vx,\
 	md.results.TransientSolution[1].Vy,\
@@ -40,4 +40,4 @@
 	md.results.TransientSolution[1].Thickness,\
 	md.results.TransientSolution[1].Temperature,\
-	md.results.TransientSolution[1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[1].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test508.m
===================================================================
--- issm/trunk/test/NightlyRun/test508.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test508.m	(revision 18301)
@@ -1,6 +1,6 @@
-md=triangle(model(),'../Exp/Pig.exp',30000.);
+md=triangle(model(),'../Exp/Pig.exp',35000.);
 md=setmask(md,'../Exp/PigShelves.exp','../Exp/PigIslands.exp');
 md=parameterize(md,'../Par/Pig.par');
-md=extrude(md,4,1.1);
+md=extrude(md,3,1.1);
 md=setflowequation(md,'SSA','all');
 md.cluster=generic('name',oshostname(),'np',3);
@@ -9,5 +9,5 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={5e-08,3e-08,5e-08,3e-08,1e-09,2e-07,8e-07};
 field_values={...
@@ -18,4 +18,4 @@
 	(md.results.SteadystateSolution.Pressure),...
 	(md.results.SteadystateSolution.Temperature),...
-	(md.results.SteadystateSolution.BasalforcingsMeltingRate),...
+	(md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test508.py
===================================================================
--- issm/trunk/test/NightlyRun/test508.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test508.py	(revision 18301)
@@ -8,8 +8,8 @@
 from MatlabFuncs import *
 
-md=triangle(model(),'../Exp/Pig.exp',30000.)
+md=triangle(model(),'../Exp/Pig.exp',35000.)
 md=setmask(md,'../Exp/PigShelves.exp','../Exp/PigIslands.exp')
 md=parameterize(md,'../Par/Pig.py')
-md.extrude(4,1.1)
+md.extrude(3,1.1)
 md=setflowequation(md,'SSA','all')
 md.cluster=generic('name',oshostname(),'np',3)
@@ -18,5 +18,5 @@
 
 # Fields and tolerances to track changes
-field_names     =['Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsMeltingRate']
+field_names     =['Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[5e-08,1.6e-08,5e-08,1.6e-08,1e-09,6e-08,5e-07]
 field_values=[\
@@ -27,4 +27,4 @@
 	md.results.SteadystateSolution.Pressure,\
 	md.results.SteadystateSolution.Temperature,\
-	md.results.SteadystateSolution.BasalforcingsMeltingRate,\
+	md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test509.m
===================================================================
--- issm/trunk/test/NightlyRun/test509.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test509.m	(revision 18301)
@@ -10,5 +10,5 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-06
 };
@@ -20,4 +20,4 @@
 	(md.results.SteadystateSolution.Pressure),...
 	(md.results.SteadystateSolution.Temperature),...
-	(md.results.SteadystateSolution.BasalforcingsMeltingRate),...
+	(md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test509.py
===================================================================
--- issm/trunk/test/NightlyRun/test509.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test509.py	(revision 18301)
@@ -19,5 +19,5 @@
 
 # Fields and tolerances to track changes
-field_names     =['Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsMeltingRate']
+field_names     =['Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-06]
 field_values=[\
@@ -28,4 +28,4 @@
 	md.results.SteadystateSolution.Pressure,\
 	md.results.SteadystateSolution.Temperature,\
-	md.results.SteadystateSolution.BasalforcingsMeltingRate,\
+	md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test510.m
===================================================================
--- issm/trunk/test/NightlyRun/test510.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test510.m	(revision 18301)
@@ -9,5 +9,5 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-06};
 field_values={...
@@ -18,4 +18,4 @@
 	(md.results.SteadystateSolution.Pressure),...
 	(md.results.SteadystateSolution.Temperature),...
-	(md.results.SteadystateSolution.BasalforcingsMeltingRate),...
+	(md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test510.py
===================================================================
--- issm/trunk/test/NightlyRun/test510.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test510.py	(revision 18301)
@@ -18,5 +18,5 @@
 
 # Fields and tolerances to track changes
-field_names     =['Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsMeltingRate']
+field_names     =['Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[1e-08,1e-08,1e-08,1e-08,1e-08,1e-08,1e-06]
 field_values=[\
@@ -27,4 +27,4 @@
 	md.results.SteadystateSolution.Pressure,\
 	md.results.SteadystateSolution.Temperature,\
-	md.results.SteadystateSolution.BasalforcingsMeltingRate,\
+	md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test513.m
===================================================================
--- issm/trunk/test/NightlyRun/test513.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test513.m	(revision 18301)
@@ -24,6 +24,6 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Gradient','Misfits','FrictionCoefficient','Pressure','Vel','Vx','Vy','Vz','Temperature','BasalforcingsMeltingRate'};
-field_tolerances={2e-10,2e-10,1e-10,1e-10,3e-6,3e-6,3e-6,3e-6,2e-6,2e-06};
+field_names     ={'Gradient','Misfits','FrictionCoefficient','Pressure','Vel','Vx','Vy','Vz','Temperature','BasalforcingsGroundediceMeltingRate'};
+field_tolerances={1e-09,2e-10,1e-10,1e-10,3e-6,3e-6,3e-6,3e-6,2e-6,2e-06};
 field_values={...
 	(md.results.SteadystateSolution.Gradient1),...
@@ -36,4 +36,4 @@
 	(md.results.SteadystateSolution.Vz),...
 	(md.results.SteadystateSolution.Temperature),...
-	(md.results.SteadystateSolution.BasalforcingsMeltingRate)
+	(md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate)
 };
Index: issm/trunk/test/NightlyRun/test513.py
===================================================================
--- issm/trunk/test/NightlyRun/test513.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test513.py	(revision 18301)
@@ -35,6 +35,6 @@
 
 # Fields and tolerances to track changes
-field_names     =['Gradient','Misfits','FrictionCoefficient','Pressure','Vel','Vx','Vy','Vz','Temperature','BasalforcingsMeltingRate']
-field_tolerances=[2e-10,2e-10,1e-10,1e-10,3e-6,3e-6,3e-6,3e-6,2e-6,2e-06]
+field_names     =['Gradient','Misfits','FrictionCoefficient','Pressure','Vel','Vx','Vy','Vz','Temperature','BasalforcingsGroundediceMeltingRate']
+field_tolerances=[1e-09,2e-10,1e-10,1e-10,3e-6,3e-6,3e-6,3e-6,2e-6,2e-06]
 field_values=[\
 	md.results.SteadystateSolution.Gradient1,\
@@ -47,4 +47,4 @@
 	md.results.SteadystateSolution.Vz,\
 	md.results.SteadystateSolution.Temperature,\
-	md.results.SteadystateSolution.BasalforcingsMeltingRate
+	md.results.SteadystateSolution.BasalforcingsGroundediceMeltingRate
 ]
Index: issm/trunk/test/NightlyRun/test515.m
===================================================================
--- issm/trunk/test/NightlyRun/test515.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test515.m	(revision 18301)
@@ -13,11 +13,11 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Temperature1','BasalforcingsMeltingRate1', ...
-				      'Temperature2','BasalforcingsMeltingRate2'};
+field_names     ={'Temperature1','BasalforcingsGroundediceMeltingRate1', ...
+				      'Temperature2','BasalforcingsGroundediceMeltingRate2'};
 field_tolerances={1e-13,1e-8,1e-13,3e-8};
 field_values={...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test515.py
===================================================================
--- issm/trunk/test/NightlyRun/test515.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test515.py	(revision 18301)
@@ -22,11 +22,11 @@
 
 # Fields and tolerances to track changes
-field_names     =['Temperature1','BasalforcingsMeltingRate1', \
-				      'Temperature2','BasalforcingsMeltingRate2']
+field_names     =['Temperature1','BasalforcingsGroundediceMeltingRate1', \
+				      'Temperature2','BasalforcingsGroundediceMeltingRate2']
 field_tolerances=[1e-13,1e-8,1e-13,2e-8]
 field_values=[\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[1].Temperature,\
-	md.results.TransientSolution[1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[1].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test516.m
===================================================================
--- issm/trunk/test/NightlyRun/test516.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test516.m	(revision 18301)
@@ -11,8 +11,8 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={1e-11,1e-11};
 field_values={...
 	(md.results.ThermalSolution.Temperature),...
-	(md.results.ThermalSolution.BasalforcingsMeltingRate),...
+	(md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test516.py
===================================================================
--- issm/trunk/test/NightlyRun/test516.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test516.py	(revision 18301)
@@ -21,8 +21,8 @@
 
 #Fields and tolerances to track changes
-field_names     =['Temperature','BasalforcingsMeltingRate']
+field_names     =['Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[1e-11,1e-11]
 field_values=[\
 	md.results.ThermalSolution.Temperature,\
-	md.results.ThermalSolution.BasalforcingsMeltingRate,\
+	md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test701.m
===================================================================
--- issm/trunk/test/NightlyRun/test701.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test701.m	(revision 18301)
@@ -34,23 +34,30 @@
 md.stressbalance.spcvx(find(vertexflags(md.mesh,4)))=0;
 md.stressbalance.spcvy(find(vertexflags(md.mesh,4)))=0;
-%md.stressbalance.spcvx(find(vertexflags(md.mesh,4) | vertexflags(md.mesh,2)))=0;
-%md.stressbalance.spcvy(find(vertexflags(md.mesh,4) | vertexflags(md.mesh,2)))=0;
 
 %Misc
 md=setflowequation(md,'FS','all');
-md.flowequation.fe_FS='TaylorHood';
 md.stressbalance.abstol=NaN;
+md.stressbalance.FSreconditioning=1;
+md.stressbalance.maxiter=20;
+md.flowequation.augmented_lagrangian_r=10000;
 md.miscellaneous.name = 'flowline';
+md.cluster=generic('np',2);
 
 %Go solve
-md.cluster=generic('np',2);
-md=solve(md,StressbalanceSolutionEnum());
-
-%Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vel','Pressure'};
-field_tolerances={5e-10,2e-9,2e-9,1e-10};
-field_values={...
-	(md.results.StressbalanceSolution.Vx),...
-	(md.results.StressbalanceSolution.Vy),...
-	(md.results.StressbalanceSolution.Vel),...
-	(md.results.StressbalanceSolution.Pressure)};
+field_names={};
+field_tolerances={};
+field_values={};
+for i={'MINI','MINIcondensed','TaylorHood','XTaylorHood','LATaylorHood','CrouzeixRaviart'}
+	disp(' ');
+	disp(['====== Testing ' i{1} ' Full-Stokes Finite element =====']);
+	md.flowequation.fe_FS=i{1};
+	md=solve(md,StressbalanceSolutionEnum());
+	field_names     ={field_names{:},['Vx' i{1}],['Vy' i{1}],['Vel' i{1}],['Pressure' i{1}]};
+	field_tolerances={field_tolerances{:},8e-5,8e-5,8e-5,1e-10};
+	field_values={field_values{:},...
+		(md.results.StressbalanceSolution.Vx),...
+		(md.results.StressbalanceSolution.Vy),...
+		(md.results.StressbalanceSolution.Vel),...
+		(md.results.StressbalanceSolution.Pressure),...
+		};
+end
Index: issm/trunk/test/NightlyRun/test703.m
===================================================================
--- issm/trunk/test/NightlyRun/test703.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test703.m	(revision 18301)
@@ -43,8 +43,10 @@
 md.stressbalance.shelf_dampening=1;
 md.surfaceforcings.mass_balance=zeros(md.mesh.numberofvertices,1);
-md.basalforcings.melting_rate=zeros(md.mesh.numberofvertices,1);
+md.basalforcings.groundedice_melting_rate=zeros(md.mesh.numberofvertices,1);
+md.basalforcings.floatingice_melting_rate=zeros(md.mesh.numberofvertices,1);
 md.basalforcings.geothermalflux=zeros(md.mesh.numberofvertices,1);
 posb=find((md.mesh.x>0) & md.mesh.vertexonbase);
-md.basalforcings.melting_rate(posb)=18;
+md.basalforcings.groundedice_melting_rate(posb)=18;
+md.basalforcings.floatingice_melting_rate(posb)=18;
 md.initialization.vx=zeros(md.mesh.numberofvertices,1);
 md.initialization.vy=zeros(md.mesh.numberofvertices,1);
Index: issm/trunk/test/Par/79North.par
===================================================================
--- issm/trunk/test/Par/79North.par	(revision 18081)
+++ issm/trunk/test/Par/79North.par	(revision 18301)
@@ -28,6 +28,7 @@
 
 %Ice shelf melting and surface mass balance 
-md.basalforcings.melting_rate=zeros(md.mesh.numberofvertices,1);
-md.basalforcings.melting_rate(find(md.mask.groundedice_levelset<0.))=0.;
+md.basalforcings.floatingice_melting_rate=zeros(md.mesh.numberofvertices,1);
+md.basalforcings.floatingice_melting_rate(find(md.mask.groundedice_levelset<0.))=0.;
+md.basalforcings.groundedice_melting_rate=zeros(md.mesh.numberofvertices,1);
 md.surfaceforcings.mass_balance=15.*ones(md.mesh.numberofvertices,1);
 
Index: issm/trunk/test/Par/79North.py
===================================================================
--- issm/trunk/test/Par/79North.py	(revision 18081)
+++ issm/trunk/test/Par/79North.py	(revision 18301)
@@ -40,6 +40,7 @@
 
 #Ice shelf melting and surface mass balance 
-md.basalforcings.melting_rate=numpy.zeros((md.mesh.numberofvertices,1))
-md.basalforcings.melting_rate[numpy.nonzero(md.mask.groundedice_levelset<0.)[0]]=0.
+md.basalforcings.floatingice_melting_rate=numpy.zeros((md.mesh.numberofvertices,1))
+md.basalforcings.floatingice_melting_rate[numpy.nonzero(md.mask.groundedice_levelset<0.)[0]]=0.
+md.basalforcings.groundedice_melting_rate=numpy.zeros((md.mesh.numberofvertices,1))
 md.surfaceforcings.mass_balance=15*numpy.ones((md.mesh.numberofvertices,1))
 
Index: issm/trunk/test/Par/RoundSheetShelf.par
===================================================================
--- issm/trunk/test/Par/RoundSheetShelf.par	(revision 18081)
+++ issm/trunk/test/Par/RoundSheetShelf.par	(revision 18301)
@@ -63,6 +63,7 @@
 %Surface mass balance and basal melting
 md.surfaceforcings.mass_balance=-10.*ones(md.mesh.numberofvertices,1);
-md.basalforcings.melting_rate=zeros(md.mesh.numberofvertices,1);
-pos=find(md.mask.groundedice_levelset>0.);md.basalforcings.melting_rate(pos)=10.;
+md.basalforcings.groundedice_melting_rate=zeros(md.mesh.numberofvertices,1);
+pos=find(md.mask.groundedice_levelset>0.);md.basalforcings.groundedice_melting_rate(pos)=10.;
+md.basalforcings.floatingice_melting_rate=zeros(md.mesh.numberofvertices,1);
 md.basalforcings.geothermalflux=ones(md.mesh.numberofvertices,1);
 
@@ -94,5 +95,5 @@
 
 %bathymetry and grounding line migration:
-md.groundingline.migration='AgressiveMigration';
+md.groundingline.migration='AggressiveMigration';
 md.geometry.bed=md.geometry.base;
 pos=find(md.mask.groundedice_levelset<0.); md.geometry.bed(pos)=md.geometry.base(pos)-900.;
Index: issm/trunk/test/Par/RoundSheetShelf.py
===================================================================
--- issm/trunk/test/Par/RoundSheetShelf.py	(revision 18081)
+++ issm/trunk/test/Par/RoundSheetShelf.py	(revision 18301)
@@ -70,7 +70,8 @@
 #Surface mass balance and basal melting
 md.surfaceforcings.mass_balance=-10.*numpy.ones((md.mesh.numberofvertices,1))
-md.basalforcings.melting_rate=numpy.zeros((md.mesh.numberofvertices,1))
+md.basalforcings.groundedice_melting_rate=numpy.zeros((md.mesh.numberofvertices,1))
 pos=numpy.nonzero(md.mask.groundedice_levelset>0.)[0]
-md.basalforcings.melting_rate[pos]=10.
+md.basalforcings.groundedice_melting_rate[pos]=10.
+md.basalforcings.floatingice_melting_rate=numpy.zeros((md.mesh.numberofvertices,1))
 md.basalforcings.geothermalflux=numpy.ones((md.mesh.numberofvertices,1))
 
Index: issm/trunk/test/Par/SquareEISMINT.par
===================================================================
--- issm/trunk/test/Par/SquareEISMINT.par	(revision 18081)
+++ issm/trunk/test/Par/SquareEISMINT.par	(revision 18301)
@@ -28,5 +28,6 @@
 disp('      creating surface mass balance');
 md.surfaceforcings.mass_balance=0.2*ones(md.mesh.numberofvertices,1); %0m/a
-md.basalforcings.melting_rate=0.*ones(md.mesh.numberofvertices,1); %0m/a
+md.basalforcings.floatingice_melting_rate=0.*ones(md.mesh.numberofvertices,1); %0m/a
+md.basalforcings.groundedice_melting_rate=0.*ones(md.mesh.numberofvertices,1); %0m/a
 
 disp('      boundary conditions');
Index: issm/trunk/test/Par/SquareEISMINT.py
===================================================================
--- issm/trunk/test/Par/SquareEISMINT.py	(revision 18081)
+++ issm/trunk/test/Par/SquareEISMINT.py	(revision 18301)
@@ -31,5 +31,6 @@
 print "      creating surface mass balance"
 md.surfaceforcings.mass_balance=0.2*numpy.ones((md.mesh.numberofvertices,1))    #0m/a
-md.basalforcings.melting_rate=0.*numpy.ones((md.mesh.numberofvertices,1))    #0m/a
+md.basalforcings.floatingice_melting_rate=0.*numpy.ones((md.mesh.numberofvertices,1))    #0m/a
+md.basalforcings.groundedice_melting_rate=0.*numpy.ones((md.mesh.numberofvertices,1))    #0m/a
 
 print "      boundary conditions"
Index: issm/trunk/test/Par/SquareSheetShelf.par
===================================================================
--- issm/trunk/test/Par/SquareSheetShelf.par	(revision 18081)
+++ issm/trunk/test/Par/SquareSheetShelf.par	(revision 18301)
@@ -34,5 +34,6 @@
 %Accumulation and melting
 md.surfaceforcings.mass_balance=10.*ones(md.mesh.numberofvertices,1);
-md.basalforcings.melting_rate=5.*ones(md.mesh.numberofvertices,1);
+md.basalforcings.groundedice_melting_rate=5.*ones(md.mesh.numberofvertices,1);
+md.basalforcings.floatingice_melting_rate=5.*ones(md.mesh.numberofvertices,1);
 
 %Friction
Index: issm/trunk/test/Par/SquareSheetShelf.py
===================================================================
--- issm/trunk/test/Par/SquareSheetShelf.py	(revision 18081)
+++ issm/trunk/test/Par/SquareSheetShelf.py	(revision 18301)
@@ -45,5 +45,6 @@
 #Accumulation and melting
 md.surfaceforcings.mass_balance=10.*numpy.ones((md.mesh.numberofvertices,1))
-md.basalforcings.melting_rate=5.*numpy.ones((md.mesh.numberofvertices,1))
+md.basalforcings.groundedice_melting_rate=5.*numpy.ones((md.mesh.numberofvertices,1))
+md.basalforcings.floatingice_melting_rate=5.*numpy.ones((md.mesh.numberofvertices,1))
 
 #Friction
Index: issm/trunk/test/Par/SquareShelfConstrained.par
===================================================================
--- issm/trunk/test/Par/SquareShelfConstrained.par	(revision 18081)
+++ issm/trunk/test/Par/SquareShelfConstrained.par	(revision 18301)
@@ -31,5 +31,6 @@
 %Surface mass balance and basal melting
 md.surfaceforcings.mass_balance=10*ones(md.mesh.numberofvertices,1);
-md.basalforcings.melting_rate=5*ones(md.mesh.numberofvertices,1);
+md.basalforcings.floatingice_melting_rate=5*ones(md.mesh.numberofvertices,1);
+md.basalforcings.groundedice_melting_rate=5*ones(md.mesh.numberofvertices,1);
 
 %Friction
Index: issm/trunk/test/Par/SquareShelfConstrained.py
===================================================================
--- issm/trunk/test/Par/SquareShelfConstrained.py	(revision 18081)
+++ issm/trunk/test/Par/SquareShelfConstrained.py	(revision 18301)
@@ -42,5 +42,6 @@
 #Surface mass balance and basal melting
 md.surfaceforcings.mass_balance=10.*numpy.ones((md.mesh.numberofvertices,1))
-md.basalforcings.melting_rate=5.*numpy.ones((md.mesh.numberofvertices,1))
+md.basalforcings.groundedice_melting_rate=5.*numpy.ones((md.mesh.numberofvertices,1))
+md.basalforcings.floatingice_melting_rate=5.*numpy.ones((md.mesh.numberofvertices,1))
 
 #Friction
Index: issm/trunk/test/Par/SquareThermal.par
===================================================================
--- issm/trunk/test/Par/SquareThermal.par	(revision 18081)
+++ issm/trunk/test/Par/SquareThermal.par	(revision 18301)
@@ -29,5 +29,6 @@
 disp('      creating surface mass balance');
 md.surfaceforcings.mass_balance=ones(md.mesh.numberofvertices,1)/md.constants.yts; %1m/a
-md.basalforcings.melting_rate=0.*ones(md.mesh.numberofvertices,1)/md.constants.yts; %1m/a
+md.basalforcings.groundedice_melting_rate=0.*ones(md.mesh.numberofvertices,1)/md.constants.yts; %1m/a
+md.basalforcings.floatingice_melting_rate=0.*ones(md.mesh.numberofvertices,1)/md.constants.yts; %1m/a
 
 %Deal with boundary conditions:
Index: issm/trunk/test/Par/ValleyGlacierShelf.par
===================================================================
--- issm/trunk/test/Par/ValleyGlacierShelf.par	(revision 18081)
+++ issm/trunk/test/Par/ValleyGlacierShelf.par	(revision 18301)
@@ -50,5 +50,6 @@
 %Surface mass balance and basal melting
 md.surfaceforcings.mass_balance = 0.3*ones(md.mesh.numberofvertices,1);
-md.basalforcings.melting_rate = md.surfaceforcings.mass_balance;
+md.basalforcings.floatingice_melting_rate = md.surfaceforcings.mass_balance;
+md.basalforcings.groundedice_melting_rate = md.surfaceforcings.mass_balance;
 
 %Friction
